Foreman - Bug #15601

to_ip_address cannot retrieve PTR record
07/07/2016 07:32 AM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: DNS
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3627
Description

After some changes on the DNS orchestration, we removed “dns_ptr_record’ in favor of “dns_record(:ptr4)". However,
“host.to_ip_address’ still calls the old API. We should change that method to use the new API, otherwise it doesn't work.

Furthermore, DHCP orchestration relies on "to_ip_address’™ so DHC

P orchestration is broken if that method doesn't work.

Related issues:
Related to Foreman - Feature #14663: Support IPv6é DNS Orchestration

Closed 04/15/2016

Associated revisions

Revision 1aef2f5b - 07/08/2016 11:36 AM - Daniel Lobato Garcia

Fixes #15601 - to_ip_address cannot retrieve PTR4 record

After some changes on the DNS orchestration, we removed “dns_ptr_record

in favor of “dns_record(:ptr4)". However, “host.to_ip_address’ still
calls the old API. We should change that method to use the new API,
otherwise it doesn't work. Furthermore, DHCP orchestration relies
on “to_ip_address’ so DHCP orchestration is broken if that method
doesn't work.

History

#1 - 07/07/2016 07:42 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3627 added

#2 - 07/07/2016 07:44 AM - Dominic Cleal
- Related to Feature #14663: Support IPv6 DNS Orchestration added

#3 - 07/07/2016 07:44 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 07/08/2016 12:01 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1aef2f5be497dc4a5c53a83ed40ea319a779eff1.
